/*********************************************************************	

	Plugin entry points

*********************************************************************/

#include "PlugInPreferences.h"

#include "JavaPlugin.h"
#include "JavaPluginPrefs.h"

// **** exported plug-in functions ****
#define EXPORT __declspec(dllexport)
#pragma export on
extern "C" {
EXPORT status_t MakePlugInView(int32 inIndex, BRect inRect, MPlugInPrefsView*& ouView);
EXPORT status_t MakePlugInBuilder(int32 inIndex, MPlugInBuilder*& outBuilder);
EXPORT status_t MakePlugInLinker(MPlugInLinker*& outLinker);
}
#pragma export reset

// ---------------------------------------------------------------------------

extern "C"
status_t
MakePlugInView(int32 inIndex, BRect inRect, MPlugInPrefsView*& outView)
{
	long result = B_ERROR;

	switch (inIndex) {
		case 0:
			outView = new JavaPluginPrefs(inRect, "javaPrefs", 0, 0);
			result = B_OK;
			break;
	}

	return result;
}

// ---------------------------------------------------------------------------

extern "C"
status_t
MakePlugInBuilder(int32 inIndex, MPlugInBuilder*& outBuilder)
{
	long result = B_ERROR;

	switch (inIndex) {
		case 0:
			outBuilder = new JavaPlugin();
			result = B_OK;
			break;
	}

	return result;
}

// ---------------------------------------------------------------------------

extern "C"
status_t
MakePlugInLinker(MPlugInLinker*& outLinker)
{
	// generic translations do not involve linking
	return B_ERROR;	
}

